Bug 18978 - Exception Occured during KS installation
Exception Occured during KS installation
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-12 12:48 EDT by Marc Schmitt
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-12 12:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Schmitt 2000-10-12 12:48:54 EDT

Using boot.img and ks=floppy with cdrom as image source medium, I recived
the following exception (anacdump.txt):

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1413, in
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 540, in
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 558, in
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 248, in
    return self.compsDict[key]
KeyError: Clustering

Local variables in innermost frame:
self: { Base [ MAKEDEV SysVinit anacron apmd ash at authconfig basesystem
bash bc bdflush bzip2 chkconfig console-tools cpio cracklib cracklib-dicts
crontabs cyrus-sasl openssl perl db1 db2 db3 dev dhcpcd diffutils e2fsprogs
ed eject file filesystem fileutils findutils gawk gdbm glib glibc gmp gnupg
gpm grep groff gzip hdparm isapnptools lilo info initscripts kbdconfig
kernel kernel-pcmcia-cs kernel-utils krb5-libs kudzu less libstdc++
libtermcap linuxconf logrotate losetup mailcap mailx man mingetty
mkbootdisk mkinitrd mktemp modutils mount mouseconfig ncompress ncurses
net-tools newt ntsysv openldap pam passwd pciutils popt procmail procps
psmisc pump pwdb quota raidtools readline redhat-logos redhat-release
rootfiles rpm sash sed sendmail setserial setup setuptool sh-utils
shadow-utils slang slocate stat sysklogd tar termcap textutils time
timeconfig tmpwatch utempter util-linux vim-common vim-minimal vixie-cron
which words zlib ] } { Printer Support [ chkfontpath groff-perl perl tcsh
LPRng krb5-libs mpage rhs-printfilters libpng ghostscript freetype pnm2ppa
ghostscript-fonts urw-fonts XFree86-xfs XFree86-libs ] } { X Window System
[ @Printer Support usermode gtk+ gnome-linuxconf libjpeg libtiff perl
netpbm-progs ImageMagick imlib libungif ORBit audiofile gnome-audio
gnome-libs esound libpng XFree86-tools XFree86-twm XFree86-xdm xinitrc
XFree86 XFree86-75dpi-fonts freetype XFree86-libs Mesa Xaw3d xsri
Xconfigurator control-panel expect kernelcfg fortune-mod gv indexhtml
netpbm perl rxvt m4 mkxauth sharutils modemtool netcfg printtool tkinter
pygnome pygtk python pythonlib timetool tcl tclx tix switchdesk tetex-xdvi
tetex-fonts tk tksysv rpm-python python-xmlrpc pygtk-libglade libglade
libxml xloadimage xscreensaver exmh xrn xmailbox gimp ImageMagick xpaint
xmorph freeciv xbill xboard gnuchess xboing xgammon xjewel xpat2 xpilot
xpuzzles xtrojka multimedia xmms libxml playmidi-X11 SDL smpeg sane gimp
xsane gphoto plugger mkisofs cdda2wav xcdroast rhn_register-gnome
up2date-gnome compat-libstdc++ netscape-communicator netscape-common
openssh-askpass qt isdn-config xisdnload tetex-xdvi emacs-X11 libungif
libungif-devel XFree86-devel Mesa-devel Xaw3d-devel glib-devel gtk+-devel
libglade memprof xxgdb ical xpdf ] } { GNOME [ @X Window System audiofile
bug-buddy control-center desktop-backgrounds dia ee esound extace
gdk-pixbuf gdm glade glib gtk+ gtk-engines mc gftp gedit gmc gnome-audio
gnome-audio-extra gnome-applets gnome-core gnome-libs gnome-pim
gnome-users-guide gnome-utils gnorpm gnotepad+ gnome-print gnumeric gqview
gtop guile umb-scheme imlib imlib-cfgeditor libglade libghttp libgtop
librep libxml magicdev ORBit pygnome-libglade pygtk-libglade sawfish
switchdesk-gnome rep-gtk rep-gtk-gnome rep-gtk-libglade xchat xscreensaver
gnome-games gnome-media openssh-askpass-gnome rp3 ORBit-devel
audiofile-devel control-center-devel gcc-objc esound-devel gdk-pixbuf-devel
gimp-devel gnome-core-devel gnome-games gnome-games-devel gnome-libs-devel
gnome-objc gnome-objc-devel gnome-pim-devel imlib-devel libghttp-devel
libglade-devel libgtop-devel libxml-devel db1-devel ] } { KDE [ @X Window
System kdebase ncurses4 kdelibs compat-libstdc++ kdesupport kdeutils qt
qt1x libstdc++ pilot-link switchdesk-kde zip unzip kdegraphics kdegames
kdetoys kdemultimedia autorun kdenetwork kpppload qt-devel qt1x-devel
kdelibs-devel kdesupport-devel compat-egcs-c++ compat-egcs kgcc
compat-glibc compat-libstdc++ kdevelop pilot-link-devel ] } { Mail/WWW/News
Tools [ exmh xrn xmailbox krb5-libs elm fetchmail inews indexhtml
libtool-libs aspell pspell links lynx metamail tcsh mutt nmh openssl pine
sharutils perl slrn tin trn urlview words ] } { DOS/Windows Connectivity [
dosfstools mtools zip tcsh samba-common samba-client perl unzip ] } {
Graphics Manipulation [ gimp ImageMagick xpaint xmorph kdegraphics tcsh
netpbm-progs netpbm perl libtiff libpng libjpeg ] } { Games [ freeciv xbill
xboard gnuchess xboing xgammon xjewel xpat2 xpilot xpuzzles xtrojka
gnome-games kdegames kdetoys fortune-mod perl tcsh trojka ] } { Multimedia
Support [ multimedia xmms libxml playmidi-X11 SDL smpeg sane gimp xsane
gphoto plugger mkisofs cdda2wav xcdroast gnome-media kdemultimedia autorun
cdparanoia cdrecord sndconfig audiofile aumix esound awesfx cdp mpg123
playmidi sox mikmod ] } { Laptop Support [ irda-utils wireless-tools ] } {
Networked Workstation [ @Printer Support rhn_register-gnome up2date-gnome
compat-libstdc++ netscape-communicator netscape-common openssh-askpass
bind-utils finger ftp whois indexhtml iptables nfs-utils ncftp ipchains
iputils openssl openssh openssh-clients pidentd portmap python rdate
rhn_register up2date rpm-python python-xmlrpc rmt rsh openssh-askpass-gnome
rusers rwho stunnel talk tcp_wrappers telnet traceroute yp-tools ypbind
kdenetwork arpwatch rsync shapecfg iproute ] } { Dialup Workstation [
@Networked Workstation ppp dip isdn4k-utils tcl lrzsz minicom rp-pppoe
statserial wvdial rp3 qt isdn-config xisdnload kpppload ] } { Network
Server [ @Networked Workstation openssh-server sysstat xinetd talk-server
telnet-server rusers-server rwall-server finger-server rsh-server
tftp-server ypserv ] } { News Server [ @Network Server inn cleanfeed ] } {
NFS Server [ @Network Server portmap nfs-utils ] } { SMB (Samba) Server [
@Network Server samba samba-client samba-common ] } { IPX/Netware(tm)
Connectivity [ @Network Server ipxutils mars-nwe ncpfs ] } { Anonymous FTP
Server [ @Network Server xinetd wu-ftpd anonftp ] } { Web Server [ @Network
Server apache freetype mod_perl mod_ssl gd libjpeg libpng freetype ] } {
DNS Name Server [ @Network Server bind bind-utils caching-nameserver ] } {
SQL Server [ @Network Server cpp postgresql postgresql-server
postgresql-devel ] } { Network Management Workstation [ @Network Server
mt-st ucd-snmp ucd-snmp-utils rdate rdist tcpdump yp-tools ] } {
Authoring/Publishing [ tetex-xdvi dialog tetex tetex-dvips tetex-latex
tetex-dvilj tetex-fonts tetex-afm libpng openjade jadetex sgml-common
sgml-tools perl tcsh docbook stylesheets psgml ] } { Emacs [ emacs-X11
psgml emacs emacs-nox ] } { Development [ m4 autoconf automake dev86 njamd
bison byacc cdecl ctags tcsh cvs flex cproto gettext diffstat indent
texinfo make man-pages patch rcs binutils gcc cpp freetype gdb openssl
openssl-devel kernel-headers glibc-devel krb5-libs krb5-devel pmake strace
libtool libtool-libs bzip2-devel gd gd-devel gdbm-devel gpm-devel
kudzu-devel netpbm netpbm-devel libpng libpng-devel libtiff libtiff-devel
libjpeg libjpeg-devel libtermcap-devel ltrace ncurses-devel newt-devel
pciutils-devel perl python python-devel readline-devel rpm-devel rpm-build
slang-devel sgml-tools openjade sgml-common stylesheets docbook zlib-devel
gcc-c++ libstdc++-devel linuxconf-devel gcc-g77 libungif libungif-devel
XFree86-devel Mesa-devel Xaw3d-devel glib-devel gtk+-devel libglade memprof
xxgdb ORBit-devel audiofile-devel control-center-devel gcc-objc
esound-devel gdk-pixbuf-devel gimp-devel gnome-core-devel gnome-games
gnome-games-devel gnome-libs-devel gnome-objc gnome-objc-devel
gnome-pim-devel imlib-devel libghttp-devel libglade-devel libgtop-devel
libxml-devel db1-devel qt-devel qt1x-devel kdelibs-devel kdesupport-devel
compat-egcs-c++ compat-egcs kgcc compat-glibc compat-libstdc++ kdevelop
pilot-link-devel ] } { Kernel Development [ @Development kernel-source kgcc
] } { Utilities [ ical xpdf arpwatch rsync shapecfg iproute rmt dump lsof
screen ] } { Workstation Common [ @Printer Support @X Window System
@Mail/WWW/News Tools @DOS/Windows Connectivity @Utilities @Graphics
Manipulation @Multimedia Support @Networked Workstation @Dialup Workstation
@Authoring/Publishing @Emacs @Development ] } { Server [ @Mail/WWW/News
Tools @Web Server @Anonymous FTP Server @Printer Support @Networked
Workstation @Dialup Workstation @Network Server @Network Management
Workstation @Emacs @Development @Utilities ] } { Everything [ nasm
audiofile sash cpp time ghostscript-fonts printtool
XFree86-ISO8859-2-75dpi-fonts rhclib e2fsprogs gcc-objc slrn-pull gd-progs
tetex-afm XFree86-FBDev mkkickstart smpeg-devel isdn-config slang
man-pages-it readline ncompress xbill libtool anacron gnome-linuxconf rwho
Xconfigurator modemtool rep-gtk-gnome stat gimp-data-extras gdk-pixbuf
plugger esound-devel xlispstat tin cdparanoia-devel ext2ed slang-devel
kdemultimedia nc gnuplot postgresql-tk tix uucp bzip2 kpackage
XFree86-ISO8859-9-100dpi-fonts samba-common rwall file at inn
compat-libstdc++ mailx arpwatch xinitrc autoconf newt-devel nscd lynx
audiofile-devel pilot-link mgetty initscripts libghttp ircii mtr telnet
xcpustate mtx kernel-headers rp-pppoe XFree86-KOI8-R-75dpi-fonts
lm_sensors-devel nut-client eject openssh-server traceroute glib
kernel-utils tcpdump groff wmconfig ctags xmms-devel emacs man-pages-ru
qt1x rcs xemacs-el aspell-devel kdesupport xfig sox xpat2 kapm
firewall-config ytalk ppp anaconda aumix libstdc++ p2c-devel SDL_image
gphoto mgetty-sendfax sgml-common kpilot openssl-python bind-devel
dump-static ghostscript glade wu-ftpd freetype-utils libjpeg-devel
postgresql symlinks vim-enhanced nmh MAKEDEV sawfish gnome-games gpm-devel
fribidi-gtkbeta rhcfile dialog timetool bc libtiff-devel wvdial xpaint
libtermcap-devel shadow-utils automake XFree86 glibc yp-tools rsync
sysklogd pspell-devel switchdesk-gnome util-linux vnc-doc rhs-printfilters
postgresql-tcl termcap gcc-g77 libpng-devel man-pages rusers-server
openldap-clients fvwm2-icons xemacs magicdev compat-egcs-objc minicom
libunicode kaffe XFree86-ISO8859-7-75dpi-fonts postgresql-devel libglade
adjtimex gcc-chill XFree86-100dpi-fonts sane-devel gd-devel kdebase
mingetty extace gmp kdesupport-devel isapnptools joe mod_perl libgtop-devel
gnome-pim dev w3c-libwww gmc elm libpcap glib-gtkbeta xcdroast samba
pygnome-capplet libungif gdm gnome-pim-devel gated gdb lout-doc nss_ldap
trojka jed-common vim-common unarj nut-cgi glib10 kbdconfig gsl
amanda-server gnome-objc-devel gzip filesystem slrn getty_ps
gdk-pixbuf-devel imap-devel gqview libxml10 gpm pmake libgcj-devel gcc-java
rpm-python openldap efax jadetex sendmail-cf kdebase-lowcolor-icons
xsysinfo gnome-lokkit unixODBC tksysv itcl pam psgml ipchains units
joystick man-pages-pl SDL x3270 xemacs-info kdetoys pax whois mpage gimp
irda-utils switchdesk texinfo chkconfig switchdesk-kde libunicode-devel
imlib-cfgeditor tetex im libxml pygtk-libglade freetype-devel squid
aspell-de playmidi-X11 cdecl man-pages-da tripwire man-pages-de procps
jikes pam_krb5 rpmlint netpbm cvs Inti amanda-client mount netpbm-progs
readline-devel libghttp-devel librep mgetty-viewfax imap utempter
chkfontpath nasm-doc gnome-core-devel gettext korganizer aspell-da
nfs-utils rsh-server ncurses rpm2html db2-devel rp3 specspo cracklib
ucd-snmp-utils fnlib-devel openssl-perl libtiff krb5-devel rep-gtk
rootfiles abiword pygnome-applet ftpcopy sgml-tools byacc shapecfg
krbafs-utils rhn_register-gnome rpm sliplogin mkxauth ElectricFence
xscreensaver XFree86-devel modutils XFree86-cyrillic-fonts auth_ldap fnlib
binutils lsof mtr-gtk tftp docbook lockdev cdrecord cxhextris sysstat
multimedia bug-buddy tkinter doxygen db3-devel
XFree86-ISO8859-7-Type1-fonts xchat newt vim-minimal pythonlib aspell-cs
WindowMaker cyrus-sasl screen aspell-ca p2c qt XFree86-KOI8-R kterm
XFree86-KOI8-R-100dpi-fonts kdenetwork libpng krbafs finger bash-doc pump
libglade-devel gtk+10 mgetty-voice redhat-release sawfish-themer pump-devel
libungif-progs kernelcfg tetex-dvilj mailcap mtools pvm netcfg
python-xmlrpc setserial sed kernel-source gftp XFree86-Xnest
XFree86-ISO8859-2 apache-manual XFree86-ISO8859-7 nut dump
XFree86-ISO8859-9 desktop-backgrounds rarpd amanda libodbc++-devel
netscape-navigator net-tools bison apache-devel krb5-libs patch tetex-dvips
aumix-X11 xlockmore gnuchess fvwm2 usbview XFree86-Xvfb gdbm-devel db2 db3
textutils db1 tetex-fonts pwdb kernel-enterprise pmake-customs cpio pnm2ppa
info tcl iptables up2date XFree86-tools sox-devel ntp kernel-ibcs
krb5-workstation unixODBC-devel up2date-gnome rxvt finger-server
libgtop-examples bdflush xsane-gimp db1-devel XFree86-V4L links
ImageMagick-devel popt isicom playmidi cdp iproute linuxconf-devel
gnome-core basesystem xmailbox tetex-xdvi smpeg mod_dav anaconda-runtime
vlock pygtk openssl-devel gnotepad+ sh-utils kdelibs strace kdoc procinfo
autofs kdeutils XFree86-75dpi-fonts quota php-ldap passwd libgtop
cracklib-dicts wireless-tools locale_config rhn_register samba-client
xmorph procps-X11 which linuxconf vixie-cron xgammon python-devel lilo
rgrep zlib xrn genromfs crontabs inews licq ypbind libxml-devel gedit ORBit
xisdnload gnome-games-devel control-center fribidi-gtkbeta-devel lm_sensors
findutils python-docs zsh Xaw3d-devel emacs-el gnupg rmt LPRng isdn4k-utils
tree mkbootdisk guile grep Xaw3d postgresql-server hdparm authconfig
tetex-doc lrzsz setuptool kdelibs-devel aspell-pl rsh cproto SDL-devel
krb5-server Mesa autorun jed urw-fonts urlview groff-perl aspell-it
db3-utils glibc-profile pidentd aspell-no aspell-nl open bootparamd
ORBit-devel gnome-applets awesfx compat-egcs tcp_wrappers ImageMagick apmd
tftp-server mt-st timed Inti-devel slocate emacs-leim kdegraphics
xloadimage routed openssl lout qt-devel openssh gnome-media indent xbl
XFree86-xdm bash usermode ash XFree86-xfs wget rdate gnumeric dev86
procmail postgresql-python vnc-server sharutils gnome-audio-extra sendmail
gtk+-gtkbeta aspell-en-gb openjade dhcp console-tools librep-devel
control-center-devel gnome-users-guide rwall-server bzip2-devel freeciv blt
xdaliclock rpmdb-redhat enscript php-imap ftp gnome-kerberos pvm-gui libgcj
syslinux libodbc++-qt expect umb-scheme ed ee xpuzzles libelf
openssh-askpass-gnome XFree86-doc psmisc pdksh e2fsprogs-devel
pygnome-libglade rep-gtk-libglade cleanfeed libjpeg fetchmailconf
talk-server aspell php-manual lockdev-devel SDL_image-devel esound kgcc
SysVinit giftrans kdegames XFree86-libs sendmail-doc python redhat-logos
am-utils flex lslk netscape-communicator cipe mysql-server libungif-devel
tmpwatch xmms-gnome anonftp memprof parted-devel vim-X11 transfig mutt
man-pages-fr mars-nwe vnc rpmfind openssh-clients qt-Xt talk xosview ical
pciutils jed-xjed xtrojka gtop bind w3c-libwww-devel php-mysql zlib-devel
man pspell compat-egcs-g77 caching-nameserver stylesheets nasm-rdoff
aspell-en-ca inn-devel emacs-nox gperf tcsh sndconfig lam guile-devel
kdebase-3d-screensavers gtk-engines XFree86-ISO8859-2-100dpi-fonts pine
kdpms mod_ssl glib-devel gcc glibc-devel kudzu-devel rdist openldap-devel
gnome-libs logrotate ncurses4 imlib sudo glib-gtkbeta-devel tetex-latex
diffstat tar xsri wmakerconf openldap-servers stunnel emacs-X11
postgresql-jdbc control-panel XFree86-ISO8859-9-75dpi-fonts rusers setup
asp2php-gtk pygnome xxgdb mc gnome-objc rhclib-devel xsane python-tools
cdparanoia sysreport pinfo ntsysv portmap kdevelop statserial mysql
telnet-server w3c-libwww-apps xtoolwait qt1x-devel m4 perl groff-gxditview
WindowMaker-libs libstdc++-devel zip gmp-devel kpppload mysql-devel pxe
aspell-fr postgresql-perl php comsat man-pages-ja fortune-mod readline2.2.1
kudzu metamail ltrace mcserv Mesa-devel mouseconfig netpbm-devel
pango-gtkbeta-devel bind-utils libPropList cdda2wav ucd-snmp-devel mktemp
njamd sysctlconfig XFree86-twm taper xpdf gnome-print-devel XFree86-xf86cfg
xboing mawk qt1x-GL gimp-devel apache octave diffutils xinetd gnorpm
man-pages-cs raidtools pilot-link-devel gawk macutils
XFree86-ISO8859-7-100dpi-fonts postgresql-odbc kernel-doc ncurses-devel
kernel-pcmcia-cs asp2php SVGATextMode mkinitrd kdeadmin imlib-devel
compat-egcs-c++ ucd-snmp aspell-sv gcc-c++ xjewel libtermcap losetup xmms
xboard libodbc++ fetchmail make dosfstools parted gimp-perl dip gnome-utils
words freetype fbset sane rhmask openssh-askpass dia rpm-build trn exmh
mod_php gnome-print ncpfs dhcpcd ncftp gtk+ man-pages-es aspell-es
aspell-eo gnome-libs-devel mkisofs glms psacct unzip less enlightenment
rhcfile-devel tcllib tk xpilot rpm-devel mpg123 indexhtml mikmod ipxutils
gnome-audio netscape-common timeconfig cdrecord-devel gdbm libjpeg6a
fileutils php-pgsql pciutils-devel gd gtk+-gtkbeta-devel ypserv tclx
XFree86-ISO8859-2-Type1-fonts compat-glibc iputils gkermit libtool-libs
pango-gtkbeta gv gtk+-devel ] } 
key: Clustering

ToDo object:


Comment 1 Marc Schmitt 2000-10-13 05:39:10 EDT
I found the problem, the package Clustering does not exist any longer in the
comps file of RH 7.0.
My fault, sorry.


Note You need to log in before you can comment on or make changes to this bug.